<?php

namespace App\Admin\Extensions\ToolBar\Actions;

use App\Admin\Extensions\ToolBar\Forms\AddPharmacyDrugForm;
use Dcat\Admin\Grid\Tools\AbstractTool;
use Dcat\Admin\Widgets\Modal;

class AddPharmacyDrugAction extends AbstractTool
{
    public $title = '新增药品';

    public function html()
    {
        return Modal::make()
            ->lg()
            ->title($this->title)
            ->body(AddPharmacyDrugForm::make())
            ->button("<button class='btn btn-success'><i class='feather icon-plus-square'></i>&nbsp;{$this->title}</button>");
    }
}
